gnutls_store_commitment(3)

NAME
gnutls_store_commitment - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_store_commitment(const char * db_name, gnutls_tdb_t tdb, const char * host, const char * service, gnutls_digest_algorithm_t hash_algo, const gnutls_datum_t * hash, time_t expiration, unsigned int flags);

ARGUMENTS

const char * db_name
    A file specifying the stored keys (use NULL for the default)

gnutls_tdb_t tdb
    A storage structure or NULL to use the default

const char * host
    The peer's name

const char * service
    non-NULL if this key is specific to a service (e.g. http)

gnutls_digest_algorithm_t hash_algo
    The hash algorithm type

const gnutls_datum_t * hash
    The raw hash

time_t expiration
    The expiration time (use 0 to disable expiration)

unsigned int flags
    should be 0 or GNUTLS_SCOMMIT_FLAG_ALLOW_BROKEN.

DESCRIPTION
This function will store the provided hash commitment to the list of stored public keys. The key with the given hash will be considered valid until the provided expiration time. The tdb variable if non-null specifies a custom backend for the storage of entries. If it is NULL then the default file backend will be used. Note that this function is not thread safe with the default backend.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
3.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2019 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/